
Figure - Bug #117884
【IOVDEV-27117】【IOVISSUE-8700】【内部】【VC1】【0072】【台架】【EE环境】【副屏】长按方控，副
屏没有重启
2023-05-11 17:50 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-11

Priority: Normal Due date: 2023-05-16

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 无

Resolution: DUPLICATE Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version:

Test Type: ST Root cause:

Description

环境信息】莱西工厂，实车测试

【问题出现时间】：20230510  17:03

【前提条件】：车机上电

【操作步骤】

1.三屏（中控，仪表，副屏）点亮，长按方控

【实际结果】

1.中控，和仪表重启，副屏没有重启

【期望结果】

1.副屏可以通过长按方控进行重启

【备注】：

云端log根据实车VIN：LJD8BB3F6P0000392

【影响版本】：

【硬件版本号】

History

#1 - 2023-05-12 10:54 - CD TPM-王祥林

- Category changed from CD-FW to BSP

- Assignee changed from CD TPM-王祥林 to BSP组-RD3_TSCD 贾顺旺

最新的MCU 0.1.6版本已经临时禁用了CAN。请在正式方案入库后，把提交链接贴到票让测试进行验证。

#2 - 2023-05-15 17:39 - BSP组-RD3_TSCD 贾顺旺

使用can盒结合代码调试，can重启信令可接收。MPU重启串口信令未发送。更改相关标志位使串口发送命令生效。

#3 - 2023-05-15 19:04 - CDTS-TEST 周婷

- Due date set to 2023-05-16
明天解决入库

#4 - 2023-05-16 11:24 - BSP组-RD3_TSCD 贾顺旺

修改完成：

VB_MCU 验证版本：http://jenkins.thundercomm.com/view/Figure/job/VB_MCU/199/

#5 - 2023-05-16 11:41 - BSP组-RD3_TSCD 贾顺旺

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to 移动测试一组_CDTS 刘强

#6 - 2023-05-16 16:48 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200062 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shunwang.jia@thundersoft.com

BSP:MCU: reboot MPU with CANenable reboot MPU uart message send;Bin version: V0.1.8TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I5a563f9d732c9e8fafe6caed4b4f6c2c6d0102e4

#7 - 2023-05-16 23:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200540 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: reboot MPU with CANenable reboot MPU uart message send;Bin version: V0.1.8TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I340d945e8c85a5272db795439dd540ef63dda5c5

#8 - 2023-05-17 17:31 - BSP组-RD3_TSCD 贾顺旺

- File FigureV0.1.7-forCanRebootMpu-202305171800.zip added

修正：多次发送重启命令时会重启两次的现象。请用：FigureV0.1.7-forCanRebootMpu-202305171800.zip测试。

#9 - 2023-05-18 10:11 - CD BSP-杜磊

- Status changed from New to NEED_INFO

#10 - 2023-05-19 14:00 - 移动测试一组_CDTS 刘强

- Assignee changed from 移动测试一组_CDTS 刘强 to BSP组-RD3_TSCD 贾顺旺
修正：多次发送重启命令时会重启两次的现象。请用：FigureV0.1.7-forCanRebootMpu-202305171800.zip测试。

通过烧写mot后执行以下测试：

1. 通can命令反复发送重启命令，持续一小时，10ms一次，正常运行

2. 10ms一次发送干扰can信号，然后手动发送can信号重启，测试20次 正常运行

3. 10ms一次发送干扰can信号，然后手动连续发送多次重启信号，在重启成功之前不再接受新的重启信号，重新成功之后，再次发送can信号成功

#11 - 2023-05-22 10:49 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200837 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shunwang.jia@thundersoft.com

BSP:MCU: reboot MPU with CAN - filter can signal1)Do not detect CAN reboot messages before MPU completed startup;2)add can reboot log print and mcu

update log printBin version: V0.1.9TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: If1b0f9ca7d2e0996280853350590242eb40af6a7

#12 - 2023-05-22 23:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201835 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: reboot MPU with CAN - filter can signal1)Do not detect CAN reboot messages before MPU completed startup;2)add can reboot log print and mcu

update log printBin version: V0.1.9TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I6ba9eb8b0ef78d66cb1dfc458a18e98237432236

#13 - 2023-05-23 15:47 - BSP组-RD3_TSCD 贾顺旺

- Status changed from NEED_INFO to RESOLVED

- Assignee changed from BSP组-RD3_TSCD 贾顺旺 to 移动测试一组_CDTS 刘强

#14 - 2023-05-25 16:56 - 移动测试一组_CDTS 刘强

锦江实车测试未通过，怀疑可能是can信号传输有问题，等锦江实车修理后，再次验证

#15 - 2023-06-03 17:18 - CDTS_TEST 王成

- Status changed from RESOLVED to ASSIGNED

- Assignee changed from 移动测试一组_CDTS 刘强 to CD TPM-王祥林
客户实车验证，确认方控重启功能无效，实车上按方控重启之后，中控和仪表重启，副屏无反应

#16 - 2023-06-03 17:20 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/117884/tlog_iov0201017500006162025411a2212290000002731_000792_0603170027.tar.gz  客户提供的日志

#17 - 2023-06-03 23:47 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to BSP组-RD3_CDTS  陈宙贤

宙闲

看看我们mcu的代码里有没有在接收到can信号的时候加日志，如果有加日志是否有发送给mpu记录。

如果都有的话：

1.看看问题出现的时间段，是否有打印相关log。

2.如果没有log可能需要确认我们解析的can重启命令是否和整车发的一样。

#18 - 2023-06-05 15:39 - CDTS_TEST 王成

- Subject changed from 【IOVDEV-27117】【内部】【VC1】【0072】【台架】【EE环境】【副屏】长按方控，副屏没有重启 to 【IOVDEV-27117】

【IOVISSUE-8700】【内部】【VC1】【0072】【台架】【EE环境】【副屏】长按方控，副屏没有重启

#19 - 2023-06-05 20:11 - BSP组-RD3_CDTS  陈宙贤

- File can_test.png added

按照这个文档的说明，我们当前的代码目前看是正确的。https://thundersoft.feishu.cn/file/boxcnNXZfsBSCFiXIP6HMaoOCde

当前使用CAN盒子模拟方控信号如附件所示。

#20 - 2023-06-05 20:13 - BSP组-RD3_CDTS  陈宙贤

已提让客户帮助抓log，看客户实车上发的命令格式与我们解析的命令格式是否一致。

#21 - 2023-06-09 10:29 - CDTS_TEST 王成

- File 方控重启需求客户需要再次评审-2023.6.9.png added

方控重启功能客户需要重新评审

#22 - 2023-06-12 11:31 - CD TPM-王祥林

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from BSP组-RD3_CDTS  陈宙贤 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

在JIRA上跟踪， 内部关闭此票。
#23 - 2023-06-25 15:38 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#24 - 2023-06-25 15:39 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#25 - 2023-07-21 22:01 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

214835 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shunwang.jia@thundersoft.com

BSP:MCU: Change CAN restart message protocol1)Change CAN restart message protocol2)add can message print3)add time out check4)add can message recv

cnt and timeBin version: V0.2.1TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I51a2a4cb6bcb4dec1cd3e4f2038d0a9d552ff086

#26 - 2023-07-21 22:10 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216893 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:MCU: Change CAN restart message protocol1)Change CAN restart message protocol2)add can message print3)add time out check4)add can message recv

cnt and timeBin version: V0.2.1TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I46e4c2341d01275f60ffe8db29fb059005dfbb83

#27 - 2023-07-21 23:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

216907 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
BSP:MCU: Change CAN restart message protocol1)Change CAN restart message protocol2)add can message print3)add time out check4)add can message recv

cnt and timeBin version: V0.2.1TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I36a8a7d7516839717a52aebc4e123e0744338220

#28 - 2023-08-16 19:35 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303675 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

shunwang.jia@thundersoft.com

BSP:MCU: Disable can message printdisable can message printBin version: V0.2.2TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I963d787c2778ad1d698cd39458bd7fadc100cd0c

#29 - 2023-08-16 23:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303851 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Disable can message printdisable can message printBin version: V0.2.2TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I67c16c9cb01b378e31fbf8d5d395da600b942576

#30 - 2023-08-25 14:34 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

303800 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:MCU: Disable can message printdisable can message printBin version: V0.2.2TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I333e1a4b10c7105c683f2fc9f3b5044db86d615d

#31 - 2023-08-28 18:24 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

307161 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_mce

wangxl0510@thundersoft.com
BSP:MCU: Disable can rebootdisable can rebootBin version: V0.2.0TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id:

I187dfad9d3baf37f34668d886157c3057c513775

#32 - 2023-09-27 10:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

315999 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:MCU:Backup mot file.TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I670dc3984b7c47e4241035c6c1fab96cb32723f2

#33 - 2023-11-14 15:13 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

328110 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:MCU:Backup mot file.TC-RID: 1201-0102704IssueID: TS-R-BUG-117884Change-Id: I48064ee4f8651c4c939acccf5b591957b924e7ec

#34 - 2023-11-14 15:32 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

328127 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

BSP:MCU: Delete CAN reboot function for vx1.Rollback mcu to v0.2.0 to avoid VX1 and MCEreboot without user operation.TC-RID: 1201-0102704IssueID:

TS-R-BUG-117884Change-Id: I8ebc8e64cd54b192f4b6c97e311b42ef9555198b

#35 - 2024-01-04 16:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

342248 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp

wangxl0510@thundersoft.com

BSP:MCU: Modify power sequence for LAN-PHY and MAX96755Forward power on time (LAN-PHY and MAX96755)Bin version: V0.2.4TC-RID:
1201-0102704IssueID: TS-R-BUG-117884Change-Id: Id87d82daa835f739ef3759b83975b540bf5b2fcb

#36 - 2024-01-04 19:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

341249 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:MCU: Modify power sequence for LAN-PHY and MAX96755Forward power on time (LAN-PHY and MAX96755)Bin version: V0.2.4TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: I28f98f7b63d4829b48c08a1f7abe65de85bc2d58

#37 - 2024-01-04 23:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

342384 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Modify power sequence for LAN-PHY and MAX96755Forward power on time (LAN-PHY and MAX96755)Bin version: V0.2.4TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: Ic44600d685100f160280a8bbf677c471d713ef35

#38 - 2024-02-01 18:36 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

350211 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:MCU:Do not stop power supply if waiting GPIO time out.Remove stop power supply logic when GPIO time out.Bin version: V0.2.5TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: I3e9088d654caceb9d54b4a2a0c08db6a885b885e

#39 - 2024-02-01 23:46 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

350287 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com
BSP:MCU:Do not stop power supply if waiting GPIO time out.Remove stop power supply logic when GPIO time out.Bin version: V0.2.5TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: Ic804945c72e56e48ce5f4ade4380f1357cae4f76

#40 - 2024-02-27 14:39 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

354555 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev_vx1

wangxl0510@thundersoft.com

BSP:MCU:Do not stop power supply if waiting GPIO time out.Remove stop power supply logic when GPIO time out.Bin version: V0.2.5TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: I3dcce57d1fa800e0f551e513af475e902679aabd

#41 - 2024-02-27 14:40 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

354230 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_sorp_vx1

wangxl0510@thundersoft.com

BSP:MCU:Do not stop power supply if waiting GPIO time out.Remove stop power supply logic when GPIO time out.Bin version: V0.2.5TC-RID:

1201-0102704IssueID: TS-R-BUG-117884Change-Id: I3dcce57d1fa800e0f551e513af475e902679aabd(cherry picked from commit

01a0d587f4d29160e9ef4baf59bc99cf5545fe47)

Files

方控重启副屏.png 252 KB 2023-05-11 CDTS_Test 吴诗雨

FigureV0.1.7-forCanRebootMpu-202305171800.zip 83.8 KB 2023-05-17 BSP组-RD3_TSCD 贾顺旺

can_test.png 38 KB 2023-06-05 BSP组-RD3_CDTS  陈宙贤

方控重启需求客户需要再次评审-2023.6.9.png 29.7 KB 2023-06-09 CDTS_TEST 王成
